Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions()> _
<NavigationItem(False)> _
<CreatableItem(False)> _
<NonPersistent()> _
Public Class SetSIRPrice_PopUp
    Inherits BaseObject

    Private _AveragePriceInHUF As Double

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub

    Property AveragePriceInHUF As Double
        Get
            Return _AveragePriceInHUF
        End Get
        Set(value As Double)
            SetPropertyValue("AveragePriceInHUF", _AveragePriceInHUF, value)
        End Set
    End Property
End Class
